# Interface ActionResult

interface ActionResult {
state: "COMPLETED" | "PENDING" | "FAILED";
message?: string;
statusCode?: number;
timestamp?: string;
}

- Defined in serverapi.ts:467

##### Index

### Properties

state
message?
statusCode?
timestamp?

## Properties

### state

state: "COMPLETED" | "PENDING" | "FAILED"

- Defined in serverapi.ts:468

### `Optional` message

message?: string

- Defined in serverapi.ts:470

### `Optional` statusCode

statusCode?: number

- Defined in serverapi.ts:469

### `Optional` timestamp

timestamp?: string

- Defined in serverapi.ts:471